## org.apache.mahout.cf.taste.hadoop
Class RecommendedItemsWritable

    java.lang.Object
      org.apache.mahout.cf.taste.hadoop.RecommendedItemsWritable

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public final class RecommendedItemsWritable

extends java.lang.Object
implements org.apache.hadoop.io.Writable

A `Writable` which encapsulates a list of `RecommendedItem`s. This is the mapper (and reducer) output, and represents items recommended to a user. The first item is the one whose estimated preference is highest.

Constructor Summary
`RecommendedItemsWritable()`
`RecommendedItemsWritable(java.util.List<RecommendedItem> recommended)`

Method Summary
`java.util.List<RecommendedItem>` `getRecommendedItems()`
`void` `readFields(java.io.DataInput in)`
`void` `set(java.util.List<RecommendedItem> recommended)`
`java.lang.String` `toString()`
`void` `write(java.io.DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecommendedItemsWritable

    public RecommendedItemsWritable()

### RecommendedItemsWritable

    public RecommendedItemsWritable(java.util.List<RecommendedItem> recommended)

Method Detail

### getRecommendedItems

    public java.util.List<RecommendedItem> getRecommendedItems()

### set

    public void set(java.util.List<RecommendedItem> recommended)

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### readFields

    public void readFields(java.io.DataInput in)
                    throws java.io.IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.